Bug 122193 - gnome panel main menu icon does not see icon theme change until panel restart
gnome panel main menu icon does not see icon theme change until panel restart
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-01 16:32 EDT by Jef Spaleta
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-01 05:43:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2004-05-01 16:32:09 EDT
Description of problem:
change icon theme via gnome-theme-manager, and you must restart the
gnome-panel process for the main menu icon to see the new icon theme.

Minor glitch, the icon theme basically works, the gnome-panel just
needs to be kicked in the head to see the change, but its one of those
things desktop zealots are going to harp on in things like shallow
first experience reviewes if given the chance.

Version-Release number of selected component (if applicable):
gnome-panel-2.6.0-9

How reproducible:
everytime i change the icon theme, i need to restart the panel

Steps to Reproduce:
1. gnome-theme-properties
2. select a different theme with different icons, for example 
   select High Contrast Inverse instead of the default BlueCurve
3. icons except the main menu icon changes on new selection
4. restart gnome-panel process to see the new main menu icon
  
Actual results:


Expected results:
Main menu icon should change on new theme selection like other icons
on the desktop

Additional info:
Comment 1 Mark McLoughlin 2004-08-11 04:54:53 EDT
Works fine for me with rawhide - feel free to re-open if you can still
reproduce with the latest
Comment 2 Jef Spaleta 2004-08-14 16:58:53 EDT
Sigh... im still seeing the problem
switch to and from gnome/bluecurve icon set and the panel icon
for the "main menu" and the "Menu bar" applet do not change
until gnome-panel restart.

gnome-panel-2.7.90-1

I'll test this with a fresh users on the rawhide updated box and see
if the problem im seeing is some mysterious userspace settings cruft
on my existing user there.

Re-opening for now.
Comment 3 Marco Pesenti Gritti 2004-10-28 07:33:30 EDT
Yeah I can repro this one.
Comment 4 Mark McLoughlin 2004-10-28 09:24:39 EDT
Yeah, I see now too.
Comment 5 Marco Pesenti Gritti 2004-10-29 11:31:23 EDT
Upstream this is
http://bugzilla.gnome.org/show_bug.cgi?id=156817

Will do a fix for it.
Comment 6 Marco Pesenti Gritti 2004-11-01 05:43:24 EST
The bug is fixed upstream (head).

Note You need to log in before you can comment on or make changes to this bug.